import processing.serial.*;

Serial port ;
float sensorVal;
float val;
PImage img;
 
int x;

void setup() {
  size(900, 300);
  frameRate(30);
  background(255);
  
  println(Serial.list());
  
  String portName = Serial.list()[2];
  port = new Serial(this, portName, 9600);
}
 
void draw() {
  if ( port.available() > 0){
    sensorVal = port.read();
    println(sensorVal);
    val = map (sensorVal,50, 250, 0, height);
  }
  
  float y = ((300 - sensorVal)/5);
  String  temp= nf(y, 2, 1);
  
  img = loadImage("spectrum.png");
  image(img, x, 0);
  stroke(255);
  line(x, 0, x, val -3);
  fill(255);
  rect(x+1,val-400,40,800);
  fill(0);
  text(temp + "c",x+5,val);
  
  x++;
  if (x > width){
    x = 0;
  }
}
